published on Monday, Apr 20, 2026 by Pulumi
published on Monday, Apr 20, 2026 by Pulumi
# f5bigip.GtmMonitorHttps Resource
Provides a BIG-IP GTM (Global Traffic Manager) HTTPS Monitor resource. This resource allows you to configure and manage GTM HTTPS health monitors on a BIG-IP system.
Description
A GTM HTTPS monitor verifies the HTTPS service by attempting to receive specific content from a web page protected by Secure Socket Layer (SSL) security. HTTPS monitors support client certificate authentication and configurable cipher lists.
Example Usage
Basic HTTPS Monitor
import * as pulumi from "@pulumi/pulumi";
import * as f5bigip from "@pulumi/f5bigip";
const example = new f5bigip.GtmMonitorHttps("example", {name: "/Common/my_https_monitor"});
import pulumi
import pulumi_f5bigip as f5bigip
example = f5bigip.GtmMonitorHttps("example", name="/Common/my_https_monitor")
package main
import (
"github.com/pulumi/pulumi-f5bigip/sdk/v3/go/f5bigip"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := f5bigip.NewGtmMonitorHttps(ctx, "example", &f5bigip.GtmMonitorHttpsArgs{
Name: pulumi.String("/Common/my_https_monitor"),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using F5BigIP = Pulumi.F5BigIP;
return await Deployment.RunAsync(() =>
{
var example = new F5BigIP.Index.GtmMonitorHttps("example", new()
{
Name = "/Common/my_https_monitor",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.f5bigip.GtmMonitorHttps;
import com.pulumi.f5bigip.GtmMonitorHttpsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var example = new GtmMonitorHttps("example", GtmMonitorHttpsArgs.builder()
.name("/Common/my_https_monitor")
.build());
}
}
resources:
example:
type: f5bigip:GtmMonitorHttps
properties:
name: /Common/my_https_monitor
HTTPS Monitor with Client Certificate
import * as pulumi from "@pulumi/pulumi";
import * as f5bigip from "@pulumi/f5bigip";
const withCert = new f5bigip.GtmMonitorHttps("with_cert", {
name: "/Common/my_https_monitor",
defaultsFrom: "/Common/https",
destination: "*:443",
interval: 10,
timeout: 60,
probeTimeout: 3,
send: "GET /health\\r\\n",
receive: "200 OK",
cert: "/Common/my_client_cert",
key: "/Common/my_client_key",
compatibility: "enabled",
});
import pulumi
import pulumi_f5bigip as f5bigip
with_cert = f5bigip.GtmMonitorHttps("with_cert",
name="/Common/my_https_monitor",
defaults_from="/Common/https",
destination="*:443",
interval=10,
timeout=60,
probe_timeout=3,
send="GET /health\\r\\n",
receive="200 OK",
cert="/Common/my_client_cert",
key="/Common/my_client_key",
compatibility="enabled")
package main
import (
"github.com/pulumi/pulumi-f5bigip/sdk/v3/go/f5bigip"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := f5bigip.NewGtmMonitorHttps(ctx, "with_cert", &f5bigip.GtmMonitorHttpsArgs{
Name: pulumi.String("/Common/my_https_monitor"),
DefaultsFrom: pulumi.String("/Common/https"),
Destination: pulumi.String("*:443"),
Interval: pulumi.Int(10),
Timeout: pulumi.Int(60),
ProbeTimeout: pulumi.Int(3),
Send: pulumi.String("GET /health\\r\\n"),
Receive: pulumi.String("200 OK"),
Cert: pulumi.String("/Common/my_client_cert"),
Key: pulumi.String("/Common/my_client_key"),
Compatibility: pulumi.String("enabled"),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using F5BigIP = Pulumi.F5BigIP;
return await Deployment.RunAsync(() =>
{
var withCert = new F5BigIP.Index.GtmMonitorHttps("with_cert", new()
{
Name = "/Common/my_https_monitor",
DefaultsFrom = "/Common/https",
Destination = "*:443",
Interval = 10,
Timeout = 60,
ProbeTimeout = 3,
Send = "GET /health\\r\\n",
Receive = "200 OK",
Cert = "/Common/my_client_cert",
Key = "/Common/my_client_key",
Compatibility = "enabled",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.f5bigip.GtmMonitorHttps;
import com.pulumi.f5bigip.GtmMonitorHttpsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var withCert = new GtmMonitorHttps("withCert", GtmMonitorHttpsArgs.builder()
.name("/Common/my_https_monitor")
.defaultsFrom("/Common/https")
.destination("*:443")
.interval(10)
.timeout(60)
.probeTimeout(3)
.send("GET /health\\r\\n")
.receive("200 OK")
.cert("/Common/my_client_cert")
.key("/Common/my_client_key")
.compatibility("enabled")
.build());
}
}
resources:
withCert:
type: f5bigip:GtmMonitorHttps
name: with_cert
properties:
name: /Common/my_https_monitor
defaultsFrom: /Common/https
destination: '*:443'
interval: 10
timeout: 60
probeTimeout: 3
send: GET /health\r\n
receive: 200 OK
cert: /Common/my_client_cert
key: /Common/my_client_key
compatibility: enabled
Create GtmMonitorHttps Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new GtmMonitorHttps(name: string, args: GtmMonitorHttpsArgs, opts?: CustomResourceOptions);@overload
def GtmMonitorHttps(resource_name: str,
args: GtmMonitorHttpsArgs,
opts: Optional[ResourceOptions] = None)
@overload
def GtmMonitorHttps(resource_name: str,
opts: Optional[ResourceOptions] = None,
name: Optional[str] = None,
interval: Optional[int] = None,
cipherlist: Optional[str] = None,
defaults_from: Optional[str] = None,
destination: Optional[str] = None,
ignore_down_response: Optional[str] = None,
cert: Optional[str] = None,
key: Optional[str] = None,
compatibility: Optional[str] = None,
probe_timeout: Optional[int] = None,
receive: Optional[str] = None,
reverse: Optional[str] = None,
send: Optional[str] = None,
timeout: Optional[int] = None,
transparent: Optional[str] = None)func NewGtmMonitorHttps(ctx *Context, name string, args GtmMonitorHttpsArgs, opts ...ResourceOption) (*GtmMonitorHttps, error)public GtmMonitorHttps(string name, GtmMonitorHttpsArgs args, CustomResourceOptions? opts = null)
public GtmMonitorHttps(String name, GtmMonitorHttpsArgs args)
public GtmMonitorHttps(String name, GtmMonitorHttpsArgs args, CustomResourceOptions options)
type: f5bigip:GtmMonitorHttps
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args GtmMonitorHttpsArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args GtmMonitorHttpsArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args GtmMonitorHttpsArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args GtmMonitorHttpsArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args GtmMonitorHttpsArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
GtmMonitorHttps Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The GtmMonitorHttps resource accepts the following input properties:
- Name string
- Name of the GTM HTTPS monitor
- Cert string
- Specifies a fully-qualified path for a client certificate that the monitor sends to the target SSL server
- Cipherlist string
- Specifies the list of ciphers for this monitor
- Compatibility string
- Specifies the SSL version compatibility
- Defaults
From string - Inherit properties from this monitor
- Destination string
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- Ignore
Down stringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- Interval int
- Specifies, in seconds, the frequency at which the system issues the monitor check
- Key string
- Specifies the key for the client certificate that the monitor sends to the target SSL server
- Probe
Timeout int - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- Receive string
- Specifies the text string that the monitor looks for in the returned resource
- Reverse string
- Instructs the system to mark the target resource down when the test is successful
- Send string
- Specifies the text string that the monitor sends to the target object
- Timeout int
- Specifies the number of seconds the target has in which to respond to the monitor request
- Transparent string
- Specifies whether the monitor operates in transparent mode
- Name string
- Name of the GTM HTTPS monitor
- Cert string
- Specifies a fully-qualified path for a client certificate that the monitor sends to the target SSL server
- Cipherlist string
- Specifies the list of ciphers for this monitor
- Compatibility string
- Specifies the SSL version compatibility
- Defaults
From string - Inherit properties from this monitor
- Destination string
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- Ignore
Down stringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- Interval int
- Specifies, in seconds, the frequency at which the system issues the monitor check
- Key string
- Specifies the key for the client certificate that the monitor sends to the target SSL server
- Probe
Timeout int - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- Receive string
- Specifies the text string that the monitor looks for in the returned resource
- Reverse string
- Instructs the system to mark the target resource down when the test is successful
- Send string
- Specifies the text string that the monitor sends to the target object
- Timeout int
- Specifies the number of seconds the target has in which to respond to the monitor request
- Transparent string
- Specifies whether the monitor operates in transparent mode
- name String
- Name of the GTM HTTPS monitor
- cert String
- Specifies a fully-qualified path for a client certificate that the monitor sends to the target SSL server
- cipherlist String
- Specifies the list of ciphers for this monitor
- compatibility String
- Specifies the SSL version compatibility
- defaults
From String - Inherit properties from this monitor
- destination String
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore
Down StringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval Integer
- Specifies, in seconds, the frequency at which the system issues the monitor check
- key String
- Specifies the key for the client certificate that the monitor sends to the target SSL server
- probe
Timeout Integer - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive String
- Specifies the text string that the monitor looks for in the returned resource
- reverse String
- Instructs the system to mark the target resource down when the test is successful
- send String
- Specifies the text string that the monitor sends to the target object
- timeout Integer
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent String
- Specifies whether the monitor operates in transparent mode
- name string
- Name of the GTM HTTPS monitor
- cert string
- Specifies a fully-qualified path for a client certificate that the monitor sends to the target SSL server
- cipherlist string
- Specifies the list of ciphers for this monitor
- compatibility string
- Specifies the SSL version compatibility
- defaults
From string - Inherit properties from this monitor
- destination string
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore
Down stringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval number
- Specifies, in seconds, the frequency at which the system issues the monitor check
- key string
- Specifies the key for the client certificate that the monitor sends to the target SSL server
- probe
Timeout number - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive string
- Specifies the text string that the monitor looks for in the returned resource
- reverse string
- Instructs the system to mark the target resource down when the test is successful
- send string
- Specifies the text string that the monitor sends to the target object
- timeout number
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent string
- Specifies whether the monitor operates in transparent mode
- name str
- Name of the GTM HTTPS monitor
- cert str
- Specifies a fully-qualified path for a client certificate that the monitor sends to the target SSL server
- cipherlist str
- Specifies the list of ciphers for this monitor
- compatibility str
- Specifies the SSL version compatibility
- defaults_
from str - Inherit properties from this monitor
- destination str
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore_
down_ strresponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval int
- Specifies, in seconds, the frequency at which the system issues the monitor check
- key str
- Specifies the key for the client certificate that the monitor sends to the target SSL server
- probe_
timeout int - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive str
- Specifies the text string that the monitor looks for in the returned resource
- reverse str
- Instructs the system to mark the target resource down when the test is successful
- send str
- Specifies the text string that the monitor sends to the target object
- timeout int
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent str
- Specifies whether the monitor operates in transparent mode
- name String
- Name of the GTM HTTPS monitor
- cert String
- Specifies a fully-qualified path for a client certificate that the monitor sends to the target SSL server
- cipherlist String
- Specifies the list of ciphers for this monitor
- compatibility String
- Specifies the SSL version compatibility
- defaults
From String - Inherit properties from this monitor
- destination String
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore
Down StringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval Number
- Specifies, in seconds, the frequency at which the system issues the monitor check
- key String
- Specifies the key for the client certificate that the monitor sends to the target SSL server
- probe
Timeout Number - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive String
- Specifies the text string that the monitor looks for in the returned resource
- reverse String
- Instructs the system to mark the target resource down when the test is successful
- send String
- Specifies the text string that the monitor sends to the target object
- timeout Number
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent String
- Specifies whether the monitor operates in transparent mode
Outputs
All input properties are implicitly available as output properties. Additionally, the GtmMonitorHttps resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing GtmMonitorHttps Resource
Get an existing GtmMonitorHttps resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: GtmMonitorHttpsState, opts?: CustomResourceOptions): GtmMonitorHttps@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
cert: Optional[str] = None,
cipherlist: Optional[str] = None,
compatibility: Optional[str] = None,
defaults_from: Optional[str] = None,
destination: Optional[str] = None,
ignore_down_response: Optional[str] = None,
interval: Optional[int] = None,
key: Optional[str] = None,
name: Optional[str] = None,
probe_timeout: Optional[int] = None,
receive: Optional[str] = None,
reverse: Optional[str] = None,
send: Optional[str] = None,
timeout: Optional[int] = None,
transparent: Optional[str] = None) -> GtmMonitorHttpsfunc GetGtmMonitorHttps(ctx *Context, name string, id IDInput, state *GtmMonitorHttpsState, opts ...ResourceOption) (*GtmMonitorHttps, error)public static GtmMonitorHttps Get(string name, Input<string> id, GtmMonitorHttpsState? state, CustomResourceOptions? opts = null)public static GtmMonitorHttps get(String name, Output<String> id, GtmMonitorHttpsState state, CustomResourceOptions options)resources: _: type: f5bigip:GtmMonitorHttps get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Cert string
- Specifies a fully-qualified path for a client certificate that the monitor sends to the target SSL server
- Cipherlist string
- Specifies the list of ciphers for this monitor
- Compatibility string
- Specifies the SSL version compatibility
- Defaults
From string - Inherit properties from this monitor
- Destination string
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- Ignore
Down stringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- Interval int
- Specifies, in seconds, the frequency at which the system issues the monitor check
- Key string
- Specifies the key for the client certificate that the monitor sends to the target SSL server
- Name string
- Name of the GTM HTTPS monitor
- Probe
Timeout int - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- Receive string
- Specifies the text string that the monitor looks for in the returned resource
- Reverse string
- Instructs the system to mark the target resource down when the test is successful
- Send string
- Specifies the text string that the monitor sends to the target object
- Timeout int
- Specifies the number of seconds the target has in which to respond to the monitor request
- Transparent string
- Specifies whether the monitor operates in transparent mode
- Cert string
- Specifies a fully-qualified path for a client certificate that the monitor sends to the target SSL server
- Cipherlist string
- Specifies the list of ciphers for this monitor
- Compatibility string
- Specifies the SSL version compatibility
- Defaults
From string - Inherit properties from this monitor
- Destination string
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- Ignore
Down stringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- Interval int
- Specifies, in seconds, the frequency at which the system issues the monitor check
- Key string
- Specifies the key for the client certificate that the monitor sends to the target SSL server
- Name string
- Name of the GTM HTTPS monitor
- Probe
Timeout int - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- Receive string
- Specifies the text string that the monitor looks for in the returned resource
- Reverse string
- Instructs the system to mark the target resource down when the test is successful
- Send string
- Specifies the text string that the monitor sends to the target object
- Timeout int
- Specifies the number of seconds the target has in which to respond to the monitor request
- Transparent string
- Specifies whether the monitor operates in transparent mode
- cert String
- Specifies a fully-qualified path for a client certificate that the monitor sends to the target SSL server
- cipherlist String
- Specifies the list of ciphers for this monitor
- compatibility String
- Specifies the SSL version compatibility
- defaults
From String - Inherit properties from this monitor
- destination String
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore
Down StringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval Integer
- Specifies, in seconds, the frequency at which the system issues the monitor check
- key String
- Specifies the key for the client certificate that the monitor sends to the target SSL server
- name String
- Name of the GTM HTTPS monitor
- probe
Timeout Integer - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive String
- Specifies the text string that the monitor looks for in the returned resource
- reverse String
- Instructs the system to mark the target resource down when the test is successful
- send String
- Specifies the text string that the monitor sends to the target object
- timeout Integer
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent String
- Specifies whether the monitor operates in transparent mode
- cert string
- Specifies a fully-qualified path for a client certificate that the monitor sends to the target SSL server
- cipherlist string
- Specifies the list of ciphers for this monitor
- compatibility string
- Specifies the SSL version compatibility
- defaults
From string - Inherit properties from this monitor
- destination string
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore
Down stringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval number
- Specifies, in seconds, the frequency at which the system issues the monitor check
- key string
- Specifies the key for the client certificate that the monitor sends to the target SSL server
- name string
- Name of the GTM HTTPS monitor
- probe
Timeout number - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive string
- Specifies the text string that the monitor looks for in the returned resource
- reverse string
- Instructs the system to mark the target resource down when the test is successful
- send string
- Specifies the text string that the monitor sends to the target object
- timeout number
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent string
- Specifies whether the monitor operates in transparent mode
- cert str
- Specifies a fully-qualified path for a client certificate that the monitor sends to the target SSL server
- cipherlist str
- Specifies the list of ciphers for this monitor
- compatibility str
- Specifies the SSL version compatibility
- defaults_
from str - Inherit properties from this monitor
- destination str
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore_
down_ strresponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval int
- Specifies, in seconds, the frequency at which the system issues the monitor check
- key str
- Specifies the key for the client certificate that the monitor sends to the target SSL server
- name str
- Name of the GTM HTTPS monitor
- probe_
timeout int - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive str
- Specifies the text string that the monitor looks for in the returned resource
- reverse str
- Instructs the system to mark the target resource down when the test is successful
- send str
- Specifies the text string that the monitor sends to the target object
- timeout int
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent str
- Specifies whether the monitor operates in transparent mode
- cert String
- Specifies a fully-qualified path for a client certificate that the monitor sends to the target SSL server
- cipherlist String
- Specifies the list of ciphers for this monitor
- compatibility String
- Specifies the SSL version compatibility
- defaults
From String - Inherit properties from this monitor
- destination String
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore
Down StringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval Number
- Specifies, in seconds, the frequency at which the system issues the monitor check
- key String
- Specifies the key for the client certificate that the monitor sends to the target SSL server
- name String
- Name of the GTM HTTPS monitor
- probe
Timeout Number - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive String
- Specifies the text string that the monitor looks for in the returned resource
- reverse String
- Instructs the system to mark the target resource down when the test is successful
- send String
- Specifies the text string that the monitor sends to the target object
- timeout Number
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent String
- Specifies whether the monitor operates in transparent mode
Import
GTM HTTPS Monitor resources can be imported using the full path name:
$ pulumi import f5bigip:index/gtmMonitorHttps:GtmMonitorHttps example /Common/my_https_monitor
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- f5 BIG-IP pulumi/pulumi-f5bigip
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
bigipTerraform Provider.
published on Monday, Apr 20, 2026 by Pulumi
